package my

import java.time.LocalDateTime
import java.time.format.DateTimeFormatter

import com.kms.katalon.core.webui.keyword.WebUiBuiltInKeywords as WebUI

import sun.security.util.Password
import internal.GlobalVariable

public class App {

	private Pom() {}

	static boolean registerNewUser(String username, String password) {
		WebUI.comment("registering ${username}/${password}")
		def timestamp = setDate()
		def result = checkMessage("it is ${timestamp} now")
		return result
	}

	static LocalDateTime setDate() {
		def timestamp = LocalDateTime.now()
		WebUI.comment("timestamp: ${DateTimeFormatter.ISO_LOCAL_DATE.format(timestamp)}")
		return timestamp
	}

	static boolean checkMessage(String message) {
		if (message.contains("Hello")) {
			WebUI.comment("The message \"${message}\" is friendly.")
			return true
		} else {
			WebUI.comment("The message \"${message}\" is not friendly enough.")
			if (GlobalVariable.DEBUG_MODE) {
				throw new IllegalStateException("Something wicked this way comes.")
			}
			return false
		}
	}
}
